<?php get_header(); ?>

<div id="wrap-content">

<div id="content">

<?php if (have_posts()) : ?>

<?php /* If this is a 404 page */ if (is_404()) { ?>
<?php /* If this is a category archive */ } elseif (is_category()) { ?>
<p class="alt">Вы смотрите архив рубрики <?php single_cat_title(''); ?> .</p>

<?php /* If this is a yearly archive */ } elseif (is_day()) { ?>
<p class="alt">Вы смотрите архив <a href="<?php bloginfo('home'); ?>/"><?php echo bloginfo('name'); ?></a><?php the_time('l, jS F Y'); ?>.</p>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<p class="alt">Вы смотрите архив <a href="<?php bloginfo('home'); ?>/"><?php echo bloginfo('name'); ?></a><?php the_time('F, Y'); ?>.</p>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<p class="alt">Вы смотрите архив <a href="<?php bloginfo('home'); ?>/"><?php echo bloginfo('name'); ?></a><?php the_time('Y'); ?>.</p>

<?php /* If this is a monthly archive */ } elseif (is_search()) { ?>
<p class="alt">Вы смотрите архив <a href="<?php echo bloginfo('home'); ?>/"><?php echo bloginfo('name'); ?></a><strong>'<?php echo wp_specialchars($s); ?>'</strong>. Если результаты вам не понравились, - посмотрите ссылки на сайте.</p>

<?php /* If this is a monthly archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<p class="alt">Вы смотрите архив <a href="<?php echo bloginfo('home'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives.</p>

<?php } ?>

<?php while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">

<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"><?php the_title(); ?></a></h2>

<div class="postmetadata"><p>Автор <?php the_author(); ?> | <?php the_time('d M Y') ?> в <?php the_time() ?> рубрика <?php the_category(', ') ?></p></div>

<div class="entry">
<?php the_excerpt(); ?>
</div>

<div class="postmetadata-comments"><p><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>">Link</a>
<?php edit_post_link('Изменить', ' | ', ''); ?> 
</p></div>

</div>

<?php endwhile; ?>

<div class="navigation">
<div class="align-left"><?php next_posts_link('&laquo; Назад') ?></div>
<div class="align-right"><?php previous_posts_link('Вперед &raquo;') ?></div>
</div>

<?php else : ?>

<div class="post">
<h2>Страница не найдена</h2>
<div class="entry">
<p>К сожалению, здесь нет того, что вы ищите.
</div>
</div>

<?php endif; ?>

</div> <!-- end div#content -->

<?php include (TEMPLATEPATH . '/left-sidebar.php'); ?>

</div> <!-- end div#wrap-content -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>