<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php if (is_single() || is_page() || is_archive()) { wp_title('',true); echo('  &raquo; '); bloginfo('name'); } else { bloginfo('name'); echo(' &raquo; '); bloginfo('description'); } ?>
</title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="<?php bloginfo('description'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
</head>

<body>

<div id="wrap-all">

<div id="header">

<div id="title">
<h1><?php bloginfo('name'); ?></h1>
<a href="<?php bloginfo('url'); ?>">
<!-- replace title.gif with your own title image -->
<img src="<?php bloginfo('template_url'); ?>/images/title.png" alt="<?php bloginfo('name'); ?>" />
</a>
<h2><?php bloginfo('description'); ?></h2>
</div><!-- end div#title -->

<div class="header-ad">
<?php include (TEMPLATEPATH . '/top-ad.php'); ?>
</div> <!-- end div.header-ad -->

<div id="header-menu">
<ul id="navigation-top">
<?php wp_list_pages('title_li=&depth=1'); ?> 
</ul>

<!-- search form -->
<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
<div>
<input type="text" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" />
<input type="submit" id="searchsubmit" value="Искать" />
</div>
</form>

</div> <!-- end div#header-menu -->

</div> <!-- end div#header -->

